- Qt 5.15
- Qt Sensors
- C++ Classes
- QLidFilter
- Qt 5.15.19 Reference Documentation

# QLidFilter Class

The QLidFilter class is a convenience wrapper around QSensorFilter. More...

Header: | #include <QLidFilter>
qmake: | QT += sensors
Since: | Qt 5.9
Inherits: | QSensorFilter

This class was introduced in Qt 5.9.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QLidReading *reading) = 0

## Detailed Description

The only difference is that the filter() method features a pointer to QLidReading instead of QSensorReading.

## Member Function Documentation

### `[pure virtual]` bool QLidFilter::filter(QLidReading *reading)

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().